MP4(3)

NAME

MP4GetSessionSdp - Get the SDP session level description of the file

SYNTAX

#include <mp4.h>

const char* MP4GetSessionSdp(
    MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The SDP session level description fragment of the mp4 file.

DESCRIPTION

MP4GetSessionSdp returns the SDP (IETF RFC 2327) session level fragment for the file. This is used by a streaming server to create a complete SDP description of the multimedia session represented by the file.

The mp4broadcaster test program provided with the MP4 library gives an example of using this call to create the complete SDP description.

SEE ALSO

MP4(3) MP4SetSessionSdp(3) MP4AppendSessionSdp(3) MP4GetHintTrackSdp(3)